DRM_PRIMARY_HELPER_D(9)

NAME
drm_primary_helper_destroy - Helper for primary plane destruction

SYNOPSIS

void drm_primary_helper_destroy(struct drm_plane * plane);

ARGUMENTS

plane
    plane to destroy

DESCRIPTION

Provides a default plane destroy handler for primary planes. This handler is called during CRTC destruction. We disable the primary plane, remove it from the DRM plane list, and deallocate the plane structure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT